Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class ContextTransformer

    java.lang.Object
      org.deegree.portal.context.ContextTransformer

    public class ContextTransformer

extends Object

Singleton class capsulating a `javax.xml.transform.Transformer`. This class is used to transform a map context xml document in a html document used the transformation (xslt) provided.

Author:
  Ugo Taddei

Field Summary
`protected static Transformer` | `transformer` The `Transformer` object used in the transformation of a map context xml to html.

Method Summary
`static ContextTransformer` | `getInstance()`
`String` | `toString()`
`String` | `transformContext(InputStream xsl, InputStream contxt)` Transforms the context pointed to by `context` into html using `xsltURL` (though this is currently fixed; there's really no need to define one's wn xsl).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### transformer

    protected static Transformer transformer

  The `Transformer` object used in the transformation of a map context xml to html.

Method Detail

### getInstance

    public static ContextTransformer getInstance()

  Returns:
    the singleton.

### transformContext

    public String transformContext(InputStream xsl,
                                   InputStream contxt)
                            throws TransformerException

  Transforms the context pointed to by `context` into html using `xsltURL` (though this is currently fixed; there's really no need to define one's wn xsl).

  Parameters:
    `xsl` - the `InputStream` containing the xls
    `contxt` - the `InputStream` containing the context to be transformed
  Returns:
    the converted string.
  Throws:
    `TransformerException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org